Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1880665

Summary: Review Request: python-pyotgw - Python library to interface with the OpenTherm Gateway
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Andy Mender <andymenderunix>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andymenderunix, package-review
Target Milestone: ---Flags: andymenderunix: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-21 01:31:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1877946    
Bug Blocks: 1269538    

Description Fabian Affolter 2020-09-18 22:36:29 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyotgw.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyotgw-0.6-0.b.fc32.src.rpm

Project URL: https://github.com/mvn23/pyotgw

Description:
A Python library to interface with the OpenTherm Gateway.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=51775062

rpmlint output:
$ rpmlint python-pyotgw-0.6-0.b.fc32.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-pyotgw-0.6-0.b.fc32.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Andy Mender 2020-09-20 10:58:09 UTC
> Version:        0.6
> Release:        0.b%{?dist}

I might be wrong here, but I think the "0.b" bit should be a part of the version, so the Version field should read:
> Version:        0.6b0

That way you can do away with the extra global definition: %global upstream_version 0.6b0

The Release should be arithmetically incremental and is something internal to Fedora so:
> Release:        1%{?dist}

This affects the %changelog entry as well, of course.

However, the Packaging Guidelines are not very strict about this: https://docs.fedoraproject.org/en-US/packaging-guidelines/DistTag/#_purpose_of_the_dist_tag

> License:        GPLv2+

Upstream explicitly mentions it's GPLv3: https://github.com/mvn23/pyotgw/blob/master/LICENSE

Full review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/amender/rpmbuild/SPECS/python-pyotgw/copr-build-1678734/review-
     python-pyotgw/licensecheck.txt
     Review: mentioned in an earlier comment.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     Review: upstream ships no tests.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pyotgw-0.6-0.b.fc34.noarch.rpm
          python-pyotgw-0.6-0.b.fc34.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
(none): E: no installed packages by name python3-pyotgw



Source checksums
----------------
https://github.com/mvn23/pyotgw/archive/0.6b0/pyotgw-0.6b0.tar.gz :
  CHECKSUM(SHA256) this package     : f91005bc034b41fecc03b62fab135016b3bd246c655e2dc33642ab19568bb203
  CHECKSUM(SHA256) upstream package : f91005bc034b41fecc03b62fab135016b3bd246c655e2dc33642ab19568bb203


Requires
--------
python3-pyotgw (rpmlib, GLIBC filtered):
    python(abi)
    python3.9dist(pyserial-asyncio)



Provides
--------
python3-pyotgw:
    python-pyotgw
    python3-pyotgw
    python3.9-pyotgw
    python3.9dist(pyotgw)
    python3dist(pyotgw)

Comment 2 Fabian Affolter 2020-12-02 09:28:28 UTC
Thanks for your input. 

%changelog
* Wed Dec 02 2020 Fabian Affolter <mail> - 1.0b1-1
- Fix license tag (#1880665)
- Update versioning
- Update to latest upstream release 1.0b1

Update files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyotgw.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyotgw-1.0b1-1.fc33.src.rpm

Comment 3 Andy Mender 2020-12-02 19:25:40 UTC
Looks good. Approved!

Comment 4 Fabian Affolter 2020-12-04 08:05:54 UTC
Thanks for the review.

Comment 5 Gwyn Ciesla 2020-12-04 15:19:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyotgw

Comment 6 Fedora Update System 2020-12-11 07:55:46 UTC
FEDORA-2020-ebc33f098a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ebc33f098a

Comment 7 Fedora Update System 2020-12-13 01:24:51 UTC
FEDORA-2020-ebc33f098a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-ebc33f098a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ebc33f098a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-12-21 01:31:51 UTC
FEDORA-2020-ebc33f098a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.